import Conductor from 'conductor-node';const conductor = new Conductor({ apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted});// Automatically fetches more pages as needed.for await (const transaction of conductor.qbd.transactions.list({ conductorEndUserId: 'end_usr_1234567abcdefg',})) { console.log(transaction.account);}
import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
page = conductor.qbd.transactions.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
page = page.data[0]
print(page.account)
Searches across all transaction types. Unlike transaction-specific queries, this endpoint only returns fields common to all transaction types, such as ID, type, dates, account, and reference numbers. For more details specific to that transaction type, make a subsequent call to the relevant transaction-specific endpoint (such as invoices, bills, etc.). NOTE: This endpoint does not support time tracking activities. Use the cursor parameter to paginate through the results.
GET
/
quickbooks-desktop
/
transactions
JavaScript
import Conductor from 'conductor-node';const conductor = new Conductor({ apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted});// Automatically fetches more pages as needed.for await (const transaction of conductor.qbd.transactions.list({ conductorEndUserId: 'end_usr_1234567abcdefg',})) { console.log(transaction.account);}
import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
page = conductor.qbd.transactions.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
page = page.data[0]
print(page.account)
Filter for specific transactions by their QuickBooks-assigned unique identifier(s).
IMPORTANT: If you include this parameter, QuickBooks will ignore all other query parameters for this request.
NOTE: If any of the values you specify in this parameter are not found, the request will return an error.
NOTE: You cannot supply the ID of a time tracking activity to this request. If you do, you get an error stating that no such record could be found, even though the transaction is in QuickBooks. This limitation is enforced by QuickBooks.
The maximum number of objects to return. Accepts values ranging from 1 to 150, defaults to 150. When used with cursor-based pagination, this parameter controls how many results are returned per page. To paginate through results, combine this with the cursor parameter. Each response will include a nextCursor value that can be passed to subsequent requests to retrieve the next page of results.
The pagination token to fetch the next set of results when paginating with the limit parameter. Do not include this parameter on the first call. Use the nextCursor value returned in the previous response to request subsequent results.
IMPORTANT: The cursor is the same value for every page, and requests that send it are not idempotent: each one returns the next page. Send each request within 10 seconds of the previous response. If you miss that window or a request fails, start over without a cursor.
Filter for specific transactions by their ref-number(s), case-sensitive. In QuickBooks, ref-numbers are not required to be unique and can be arbitrarily changed by the QuickBooks user.
IMPORTANT: If you include this parameter, QuickBooks will ignore all other query parameters for this request.
NOTE: If any of the values you specify in this parameter are not found, the request will return an error.
Filter for transactions whose refNumber is greater than or equal to this value. If omitted, the range will begin with the first number of the list. Uses a numerical comparison for values that contain only digits; otherwise, uses a lexicographical comparison.
NOTE: If you use this parameter, you cannot also use refNumberContains, refNumberStartsWith, or refNumberEndsWith.
Filter for transactions whose refNumber is less than or equal to this value. If omitted, the range will end with the last number of the list. Uses a numerical comparison for values that contain only digits; otherwise, uses a lexicographical comparison.
NOTE: If you use this parameter, you cannot also use refNumberContains, refNumberStartsWith, or refNumberEndsWith.
Filter for transactions updated on or after this date/time. Accepts the following ISO 8601 formats:
date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the start of the specified day in the local timezone of the end-user's computer (e.g., 2025-01-01 → 2025-01-01T00:00:00).
datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
Filter for transactions updated on or before this date/time. Accepts the following ISO 8601 formats:
date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the end of the specified day in the local timezone of the end-user's computer (e.g., 2025-01-01 → 2025-01-01T23:59:59).
datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
Filter for transactions whose date field is on or after this date, in ISO 8601 format (YYYY-MM-DD).
NOTE: QuickBooks Desktop interprets this date as the start of the specified day in the local timezone of the end-user's computer (e.g., 2025-01-01 → 2025-01-01T00:00:00).
Filter for transactions whose date field is on or before this date, in ISO 8601 format (YYYY-MM-DD).
NOTE: QuickBooks Desktop interprets this date as the end of the specified day in the local timezone of the end-user's computer (e.g., 2025-01-01 → 2025-01-01T23:59:59).
Specify whether to return all matching transaction and transaction-line objects (all), only transaction objects (transactions_without_lines, the default), or only transaction-line objects (transaction_lines_only.
Filter for transactions that are posting, non-posting, or either. Posting status refers to whether QuickBooks records the transaction in an account register.
Filter for transactions that are open, closed, or either. Open transactions have a remaining balance, such as credits not fully applied or invoices not fully paid.
The nextCursor is a pagination token returned in the response when you use the limit parameter in your request. To retrieve subsequent pages of results, include this token as the value of the cursor request parameter in your following API calls.
NOTE: The nextCursor value remains constant throughout the pagination process for a specific list instance; continue to use the same nextCursor token in each request to fetch additional pages.
Indicates whether there are more objects to be fetched.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Conductor Docs","colors":{"primary":"#9563FF","light":"#AE87FF","dark":"#0D001D"},"logo":{"light":"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/light.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=43ebf17eb46ef6256a508d4fac23b3bf","dark":"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/dark.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=dbd4c90195fb31cbae682dd4bfb98350","href":"https://conductor.is"},"favicon":"https://mintcdn.com/conductor/79gIlu1T1D-ycZhm/favicon.png?fit=max\u0026auto=format\u0026n=79gIlu1T1D-ycZhm\u0026q=85\u0026s=52c2193ef1a37fb3c2a843f148178e26","api":{"openapi":"openapi.documented.yml","playground":{"display":"interactive"}},"background":{"color":{"dark":"#090014"}},"navbar":{"links":[{"href":"mailto:support@conductor.is?subject=Conductor Help","label":"Support"},{"href":"https://dashboard.conductor.is","label":"Dashboard"}],"primary":{"type":"button","label":"Sign up","href":"https://dashboard.conductor.is/sign-up"}},"footer":{"socials":{"twitter":"https://twitter.com/conductor_is","github":"https://github.com/conductor-is","linkedin":"https://linkedin.com/company/conductor-is"},"links":[{"header":"Product","items":[{"label":"Core","href":"https://conductor.is/"},{"label":"FAQ","href":"https://docs.conductor.is/faq"},{"label":"Security","href":"https://docs.conductor.is/security"},{"label":"Testimonials","href":"https://conductor.is/"},{"label":"Pricing","href":"https://conductor.is/"}]},{"header":"Resources","items":[{"label":"Documentation","href":"https://docs.conductor.is"},{"label":"Help Center","href":"https://docs.conductor.is/help"},{"label":"Blog","href":"https://conductor.is/blog"},{"label":"Status","href":"https://status.conductor.is"},{"label":"Quickstart","href":"https://docs.conductor.is/quickstart"}]},{"header":"Company","items":[{"label":"About","href":"https://conductor.is/company"},{"label":"Values","href":"https://conductor-io.notion.site/Conductor-s-Values-83e9eb6e4e4d40a2973b24513dc60f99?pvs=4"},{"label":"Contact","href":"mailto:support@conductor.is?subject=Conductor Help"}]},{"header":"Legal","items":[{"label":"Privacy Policy","href":"https://conductor.is/privacy"},{"label":"Terms of Service","href":"https://conductor.is/terms"},{"label":"Trust Center","href":"https://trust.conductor.is"}]}]},"styling":{"codeblocks":"system","latex":false},"integrations":{"ga4":{"measurementId":"G-X8MDB0LXNF"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"conductor","hasAudioNarration":false,"actualSubdomain":"conductor","customDomains":["docs.conductor.is"],"gitSource":{"type":"github","owner":"conductor-is","repo":"conductor","deployBranch":"main","contentDirectory":"apps/docs","isPrivate":false,"mountPath":"","label":""},"feedback":{"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af532e438b41bfcfa9d95b3","clientVersion":"0.0.4124","searchFilterCounts":[{"language":"default","tag":"API Reference","count":337},{"language":"default","tag":"Transactions","count":160},{"language":"default","tag":"General","count":104},{"language":"default","tag":"Items","count":53},{"language":"default","tag":"Help","count":26},{"language":"default","tag":"Documentation","count":15},{"language":"default","tag":"Guides","count":14},{"language":"default","tag":"Reports","count":11},{"language":"default","tag":"QuickBooks Desktop API","count":10},{"language":"default","tag":"Connection errors","count":10}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-ref/qbd/transactions/list","slug":"/api-ref/qbd/transactions/list","pageMetadata":{"openapi":"GET /quickbooks-desktop/transactions","title":"List all transactions","description":"Searches across all transaction types. Unlike transaction-specific queries, this endpoint only returns fields common to all transaction types, such as ID, type, dates, account, and reference numbers. For more details specific to that transaction type, make a subsequent call to the relevant transaction-specific endpoint (such as invoices, bills, etc.). NOTE: This endpoint does not support time tracking activities. Use the `cursor` parameter to paginate through the results.","href":"/api-ref/qbd/transactions/list"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Searches across all transaction types. Unlike transaction-specific queries, this endpoint only returns fields common to all transaction types, such as ID, type, dates, account, and reference numbers. For more details specific to that transaction type, make a subsequent call to the relevant transaction-specific endpoint (such as invoices, bills, etc.). NOTE: This endpoint does not support time tracking activities. Use the \", _jsx(_components.code, {\n children: \"cursor\"\n }), \" parameter to paginate through the results.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"GET /quickbooks-desktop/transactions","title":"List all transactions","description":"Searches across all transaction types. Unlike transaction-specific queries, this endpoint only returns fields common to all transaction types, such as ID, type, dates, account, and reference numbers. For more details specific to that transaction type, make a subsequent call to the relevant transaction-specific endpoint (such as invoices, bills, etc.). NOTE: This endpoint does not support time tracking activities. Use the `cursor` parameter to paginate through the results.","href":"/api-ref/qbd/transactions/list"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"List all transactions","description":"Searches across all transaction types. Unlike transaction-specific queries, this endpoint only returns fields common to all transaction types, such as ID, type, dates, account, and reference numbers. For more details specific to that transaction type, make a subsequent call to the relevant transaction-specific endpoint (such as invoices, bills, etc.). NOTE: This endpoint does not support time tracking activities. Use the `cursor` parameter to paginate through the results.","security":["d55c8c47-b5c3-4da4-9683-f1d1333cabda"],"parameters":["ebf44fcc-f159-4a9e-8107-29d1c936072b","0b4683e0-badb-4c34-a710-d825bb203ff5","a44e4735-cf88-4a15-a76c-3f4f44c1f3f9","81ec2e7d-c988-42a0-93e8-acae409c0bd6","b776bbec-44d6-4cd2-8b50-3fce19b3a934","14ac1639-0753-4f36-b6e4-2d374cd96ff6","e8dcd1b9-3c73-49b8-bcbe-ccfff8ecbe2c","af8d7a6e-4333-4cba-8870-54adb605f103","8b41bdb7-545e-405c-b857-b7fdfb6e0f83","da4f4ba1-62ae-4ae4-8eaf-06a16c7ab98b","0578d137-0d36-4b9a-8879-9f6a16ea4096","87561b9f-63a4-4f2e-8b08-7e2bdc754d4f","578bbc30-29e2-43fb-ac4c-ee6dafa04d9b","2d2b3a3f-4b9c-4aef-8c33-55c5a4614dba","b220040c-ae1b-493d-8682-7db40a2776d2","6b2627d4-d6ca-488d-ab9a-c26d4a883b4e","2003cb14-7dec-43ce-9b68-53fb2ec8c9ca","b41611db-af77-4ca6-91e1-642c8275148b","020e8bc0-1f2e-46f8-ab61-69d41ca952a8","58494343-c6b4-46b6-b877-32b3b697c34d","0e4fb3b6-236c-43db-8b15-307d92420252","fef108e9-4644-4d2d-9838-b077c79c0029","95845f09-2181-4d6f-917c-0af127012e4f"],"responses":{"200":"c221697b-088c-453d-a2a1-78552313f4ac"},"x-codeSamples":[{"lang":"JavaScript","source":"import Conductor from 'conductor-node';\n\nconst conductor = new Conductor({\n apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted\n});\n\n// Automatically fetches more pages as needed.\nfor await (const transaction of conductor.qbd.transactions.list({\n conductorEndUserId: 'end_usr_1234567abcdefg',\n})) {\n console.log(transaction.account);\n}"},{"lang":"Python","source":"import os\nfrom conductor import Conductor\n\nconductor = Conductor(\n api_key=os.environ.get(\"CONDUCTOR_SECRET_KEY\"), # This is the default and can be omitted\n)\npage = conductor.qbd.transactions.list(\n conductor_end_user_id=\"end_usr_1234567abcdefg\",\n)\npage = page.data[0]\nprint(page.account)"}],"method":"get","type":"path","servers":["bf6ac202-d364-495a-a90b-ff07a25d150a"],"path":"/quickbooks-desktop/transactions","baseUrlOptions":["https://api.conductor.is/v1"],"title":"List all transactions","codeSamples":[{"lang":"JavaScript","source":"import Conductor from 'conductor-node';\n\nconst conductor = new Conductor({\n apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted\n});\n\n// Automatically fetches more pages as needed.\nfor await (const transaction of conductor.qbd.transactions.list({\n conductorEndUserId: 'end_usr_1234567abcdefg',\n})) {\n console.log(transaction.account);\n}"},{"lang":"Python","source":"import os\nfrom conductor import Conductor\n\nconductor = Conductor(\n api_key=os.environ.get(\"CONDUCTOR_SECRET_KEY\"), # This is the default and can be omitted\n)\npage = conductor.qbd.transactions.list(\n conductor_end_user_id=\"end_usr_1234567abcdefg\",\n)\npage = page.data[0]\nprint(page.account)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"ebf44fcc-f159-4a9e-8107-29d1c936072b":{"in":"header","name":"Conductor-End-User-Id","schema":{"type":"string","description":"The ID of the End-User to receive this request.","example":"end_usr_1234567abcdefg","x-stainless-naming":{"typescript":{"method_argument":"conductorEndUserId"},"mcp":{"method_argument":"conductorEndUserId"}},"isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"description":"The ID of the End-User to receive this request."},"0b4683e0-badb-4c34-a710-d825bb203ff5":{"in":"query","name":"ids","schema":{"description":"Filter for specific transactions by their QuickBooks-assigned unique identifier(s).\n\n**IMPORTANT**: If you include this parameter, QuickBooks will ignore all other query parameters for this request.\n\n**NOTE**: If any of the values you specify in this parameter are not found, the request will return an error.\n\n**NOTE**: You cannot supply the ID of a time tracking activity to this request. If you do, you get an error stating that no such record could be found, even though the transaction is in QuickBooks. This limitation is enforced by QuickBooks.","example":["123ABC-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter for specific transactions by their QuickBooks-assigned unique identifier(s).\n\n**IMPORTANT**: If you include this parameter, QuickBooks will ignore all other query parameters for this request.\n\n**NOTE**: If any of the values you specify in this parameter are not found, the request will return an error.\n\n**NOTE**: You cannot supply the ID of a time tracking activity to this request. If you do, you get an error stating that no such record could be found, even though the transaction is in QuickBooks. This limitation is enforced by QuickBooks."},"a44e4735-cf88-4a15-a76c-3f4f44c1f3f9":{"in":"query","name":"limit","schema":{"default":150,"description":"The maximum number of objects to return. Accepts values ranging from 1 to 150, defaults to 150. When used with cursor-based pagination, this parameter controls how many results are returned per page. To paginate through results, combine this with the `cursor` parameter. Each response will include a `nextCursor` value that can be passed to subsequent requests to retrieve the next page of results.","example":150,"type":"integer","minimum":1,"maximum":150,"uniqueKey":"","typeLabel":"integer"},"description":"The maximum number of objects to return. Accepts values ranging from 1 to 150, defaults to 150. When used with cursor-based pagination, this parameter controls how many results are returned per page. To paginate through results, combine this with the `cursor` parameter. Each response will include a `nextCursor` value that can be passed to subsequent requests to retrieve the next page of results."},"81ec2e7d-c988-42a0-93e8-acae409c0bd6":{"in":"query","name":"cursor","schema":{"description":"The pagination token to fetch the next set of results when paginating with the `limit` parameter. Do not include this parameter on the first call. Use the `nextCursor` value returned in the previous response to request subsequent results.\n\n**IMPORTANT**: The cursor is the same value for every page, and requests that send it are not idempotent: each one returns the next page. Send each request within 10 seconds of the previous response. If you miss that window or a request fails, start over without a cursor.","example":"12345678-abcd-abcd-example-1234567890ab","type":"string","uniqueKey":"","typeLabel":"string"},"description":"The pagination token to fetch the next set of results when paginating with the `limit` parameter. Do not include this parameter on the first call. Use the `nextCursor` value returned in the previous response to request subsequent results.\n\n**IMPORTANT**: The cursor is the same value for every page, and requests that send it are not idempotent: each one returns the next page. Send each request within 10 seconds of the previous response. If you miss that window or a request fails, start over without a cursor."},"b776bbec-44d6-4cd2-8b50-3fce19b3a934":{"in":"query","name":"refNumbers","schema":{"description":"Filter for specific transactions by their ref-number(s), case-sensitive. In QuickBooks, ref-numbers are not required to be unique and can be arbitrarily changed by the QuickBooks user.\n\n**IMPORTANT**: If you include this parameter, QuickBooks will ignore all other query parameters for this request.\n\n**NOTE**: If any of the values you specify in this parameter are not found, the request will return an error.","example":["TRANSACTION-1234"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter for specific transactions by their ref-number(s), case-sensitive. In QuickBooks, ref-numbers are not required to be unique and can be arbitrarily changed by the QuickBooks user.\n\n**IMPORTANT**: If you include this parameter, QuickBooks will ignore all other query parameters for this request.\n\n**NOTE**: If any of the values you specify in this parameter are not found, the request will return an error."},"14ac1639-0753-4f36-b6e4-2d374cd96ff6":{"in":"query","name":"refNumberContains","schema":{"description":"Filter for transactions whose `refNumber` contains this substring.\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberStartsWith` or `refNumberEndsWith`.","example":"INV-1234","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for transactions whose `refNumber` contains this substring.\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberStartsWith` or `refNumberEndsWith`."},"e8dcd1b9-3c73-49b8-bcbe-ccfff8ecbe2c":{"in":"query","name":"refNumberStartsWith","schema":{"description":"Filter for transactions whose `refNumber` starts with this substring.\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberContains` or `refNumberEndsWith`.","example":"INV","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for transactions whose `refNumber` starts with this substring.\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberContains` or `refNumberEndsWith`."},"af8d7a6e-4333-4cba-8870-54adb605f103":{"in":"query","name":"refNumberEndsWith","schema":{"description":"Filter for transactions whose `refNumber` ends with this substring.\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberContains` or `refNumberStartsWith`.","example":"1234","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for transactions whose `refNumber` ends with this substring.\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberContains` or `refNumberStartsWith`."},"8b41bdb7-545e-405c-b857-b7fdfb6e0f83":{"in":"query","name":"refNumberFrom","schema":{"description":"Filter for transactions whose `refNumber` is greater than or equal to this value. If omitted, the range will begin with the first number of the list. Uses a numerical comparison for values that contain only digits; otherwise, uses a lexicographical comparison.\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberContains`, `refNumberStartsWith`, or `refNumberEndsWith`.","example":"INV-0001","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for transactions whose `refNumber` is greater than or equal to this value. If omitted, the range will begin with the first number of the list. Uses a numerical comparison for values that contain only digits; otherwise, uses a lexicographical comparison.\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberContains`, `refNumberStartsWith`, or `refNumberEndsWith`."},"da4f4ba1-62ae-4ae4-8eaf-06a16c7ab98b":{"in":"query","name":"refNumberTo","schema":{"description":"Filter for transactions whose `refNumber` is less than or equal to this value. If omitted, the range will end with the last number of the list. Uses a numerical comparison for values that contain only digits; otherwise, uses a lexicographical comparison.\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberContains`, `refNumberStartsWith`, or `refNumberEndsWith`.","example":"INV-9999","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for transactions whose `refNumber` is less than or equal to this value. If omitted, the range will end with the last number of the list. Uses a numerical comparison for values that contain only digits; otherwise, uses a lexicographical comparison.\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberContains`, `refNumberStartsWith`, or `refNumberEndsWith`."},"0578d137-0d36-4b9a-8879-9f6a16ea4096":{"in":"query","name":"updatedAfter","schema":{"description":"Filter for transactions updated on or after this date/time. Accepts the following ISO 8601 formats:\n- **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the **start of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T00:00:00`).\n- **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.\n- **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.","example":"2025-01-01T12:34:56.000Z","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for transactions updated on or after this date/time. Accepts the following ISO 8601 formats:\n- **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the **start of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T00:00:00`).\n- **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.\n- **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone."},"87561b9f-63a4-4f2e-8b08-7e2bdc754d4f":{"in":"query","name":"updatedBefore","schema":{"description":"Filter for transactions updated on or before this date/time. Accepts the following ISO 8601 formats:\n- **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the **end of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T23:59:59`).\n- **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.\n- **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.","example":"2025-02-01T12:34:56.000Z","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for transactions updated on or before this date/time. Accepts the following ISO 8601 formats:\n- **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the **end of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T23:59:59`).\n- **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.\n- **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone."},"578bbc30-29e2-43fb-ac4c-ee6dafa04d9b":{"in":"query","name":"transactionDateFrom","schema":{"description":"Filter for transactions whose `date` field is on or after this date, in ISO 8601 format (YYYY-MM-DD).\n\n**NOTE:** QuickBooks Desktop interprets this date as the **start of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T00:00:00`).","example":"2025-01-01","type":"string","format":"date","uniqueKey":"","typeLabel":"string\u003cdate>"},"description":"Filter for transactions whose `date` field is on or after this date, in ISO 8601 format (YYYY-MM-DD).\n\n**NOTE:** QuickBooks Desktop interprets this date as the **start of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T00:00:00`)."},"2d2b3a3f-4b9c-4aef-8c33-55c5a4614dba":{"in":"query","name":"transactionDateTo","schema":{"description":"Filter for transactions whose `date` field is on or before this date, in ISO 8601 format (YYYY-MM-DD).\n\n**NOTE:** QuickBooks Desktop interprets this date as the **end of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T23:59:59`).","example":"2025-02-01","type":"string","format":"date","uniqueKey":"","typeLabel":"string\u003cdate>"},"description":"Filter for transactions whose `date` field is on or before this date, in ISO 8601 format (YYYY-MM-DD).\n\n**NOTE:** QuickBooks Desktop interprets this date as the **end of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T23:59:59`)."},"b220040c-ae1b-493d-8682-7db40a2776d2":{"in":"query","name":"entityIds","schema":{"description":"Filter for transactions associated with these entities (customers, vendors, employees, etc.).\n\n**NOTE**: To filter on transaction lines, you must specify the `transactionDetailLevel` parameter as `all` or `transaction_lines_only`.","example":["80000001-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter for transactions associated with these entities (customers, vendors, employees, etc.).\n\n**NOTE**: To filter on transaction lines, you must specify the `transactionDetailLevel` parameter as `all` or `transaction_lines_only`."},"6b2627d4-d6ca-488d-ab9a-c26d4a883b4e":{"in":"query","name":"accountIds","schema":{"description":"Filter for transactions associated with these accounts.\n\n**NOTE**: To filter on transaction lines, you must specify the `transactionDetailLevel` parameter as `all` or `transaction_lines_only`.","example":["80000001-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter for transactions associated with these accounts.\n\n**NOTE**: To filter on transaction lines, you must specify the `transactionDetailLevel` parameter as `all` or `transaction_lines_only`."},"2003cb14-7dec-43ce-9b68-53fb2ec8c9ca":{"in":"query","name":"itemIds","schema":{"description":"Filter for transactions associated with these items.\n\n**NOTE**: To filter on transaction lines, you must specify the `transactionDetailLevel` parameter as `all` or `transaction_lines_only`.","example":["80000001-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter for transactions associated with these items.\n\n**NOTE**: To filter on transaction lines, you must specify the `transactionDetailLevel` parameter as `all` or `transaction_lines_only`."},"b41611db-af77-4ca6-91e1-642c8275148b":{"in":"query","name":"classIds","schema":{"description":"Filter for transactions of these classes. A class is a way end-users can categorize transactions in QuickBooks.\n\n**NOTE**: To filter on transaction lines, you must specify the `transactionDetailLevel` parameter as `all` or `transaction_lines_only`.","example":["80000001-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter for transactions of these classes. A class is a way end-users can categorize transactions in QuickBooks.\n\n**NOTE**: To filter on transaction lines, you must specify the `transactionDetailLevel` parameter as `all` or `transaction_lines_only`."},"020e8bc0-1f2e-46f8-ab61-69d41ca952a8":{"in":"query","name":"transactionTypes","schema":{"description":"Filter for transactions by their transaction type(s).\n\n**NOTE**: Filtering for time tracking activities is not supported by QuickBooks for this endpoint.","example":["invoice"],"type":"array","items":{"type":"string","enum":["all","ar_refund_credit_card","bill","bill_payment_check","bill_payment_credit_card","build_assembly","charge","check","credit_card_charge","credit_card_credit","credit_memo","deposit","estimate","inventory_adjustment","invoice","item_receipt","journal_entry","liability_adjustment","paycheck","payroll_liability_check","purchase_order","receive_payment","sales_order","sales_receipt","sales_tax_payment_check","transfer","vendor_credit","ytd_adjustment"],"uniqueKey":"items.[INDEX]","typeLabel":"enum\u003cstring>"},"uniqueKey":"","typeLabel":"enum\u003cstring>[]"},"description":"Filter for transactions by their transaction type(s).\n\n**NOTE**: Filtering for time tracking activities is not supported by QuickBooks for this endpoint."},"58494343-c6b4-46b6-b877-32b3b697c34d":{"in":"query","name":"detailLevel","schema":{"description":"Specify whether to return all matching transaction and transaction-line objects (`all`), only transaction objects (`transactions_without_lines`, the default), or only transaction-line objects (`transaction_lines_only`.","example":"transactions_without_lines","type":"string","enum":["all","transaction_lines_only","transactions_without_lines"],"default":"transactions_without_lines","uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"Specify whether to return all matching transaction and transaction-line objects (`all`), only transaction objects (`transactions_without_lines`, the default), or only transaction-line objects (`transaction_lines_only`."},"0e4fb3b6-236c-43db-8b15-307d92420252":{"in":"query","name":"postingStatus","schema":{"description":"Filter for transactions that are posting, non-posting, or either. Posting status refers to whether QuickBooks records the transaction in an account register.","example":"posting","type":"string","enum":["either","non_posting","posting"],"default":"either","uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"Filter for transactions that are posting, non-posting, or either. Posting status refers to whether QuickBooks records the transaction in an account register."},"fef108e9-4644-4d2d-9838-b077c79c0029":{"in":"query","name":"paymentStatus","schema":{"description":"Filter for transactions that are open, closed, or either. Open transactions have a remaining balance, such as credits not fully applied or invoices not fully paid.","example":"open","type":"string","enum":["closed","either","open"],"default":"either","uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"Filter for transactions that are open, closed, or either. Open transactions have a remaining balance, such as credits not fully applied or invoices not fully paid."},"95845f09-2181-4d6f-917c-0af127012e4f":{"in":"query","name":"currencyIds","schema":{"description":"Filter for transactions in these currencies.","example":["80000001-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter for transactions in these currencies."}},"responses":{"c221697b-088c-453d-a2a1-78552313f4ac":{"description":"Returns a list of transactions.","headers":{"Conductor-Request-Id":{"required":true,"description":"The unique identifier for this API request.","schema":{"type":"string","description":"The unique identifier for this API request.","example":"req_1234567abcdefg"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"objectType":{"description":"The type of object. This value is always `\"list\"`.","example":"list","type":"string","const":"list","isRequired":true,"uniqueKey":"objectType","typeLabel":"string"},"url":{"type":"string","description":"The endpoint URL where this list can be accessed.","example":"/v1/quickbooks-desktop/transactions","isRequired":true,"uniqueKey":"url","typeLabel":"string"},"data":{"type":"array","items":{"type":"object","properties":{"transactionType":{"type":"string","enum":["ar_refund_credit_card","bill","bill_payment_check","bill_payment_credit_card","build_assembly","charge","check","credit_card_charge","credit_card_credit","credit_memo","deposit","estimate","inventory_adjustment","invoice","item_receipt","journal_entry","liability_adjustment","paycheck","payroll_liability_check","purchase_order","receive_payment","sales_order","sales_receipt","sales_tax_payment_check","transfer","vendor_credit","ytd_adjustment","transfer_inventory","unknown"],"description":"The type of transaction.","example":"invoice","isRequired":true,"uniqueKey":"data.items.[INDEX].transactionType","typeLabel":"enum\u003cstring>"},"transactionId":{"type":"string","maxLength":36,"description":"The QuickBooks-assigned unique identifier of this transaction. If `transactionLineId` is also defined, this is the identifier of the line's parent transaction object.","example":"123ABC-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].transactionId","typeLabel":"string"},"transactionLineId":{"oneOf":[{"type":"string","description":"The QuickBooks-assigned unique identifier of this transaction line. If `null`, this result is a transaction object.","maxLength":36,"example":"456DEF-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].transactionLineId.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"data.items.[INDEX].transactionLineId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].transactionLineId","typeLabel":"string | null"},"createdAt":{"type":"string","description":"The date and time when this transaction was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.","example":"2025-01-01T12:34:56.000Z","isRequired":true,"uniqueKey":"data.items.[INDEX].createdAt","typeLabel":"string"},"updatedAt":{"type":"string","description":"The date and time when this transaction was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.","example":"2025-02-01T12:34:56.000Z","isRequired":true,"uniqueKey":"data.items.[INDEX].updatedAt","typeLabel":"string"},"entity":{"oneOf":[{"type":"object","description":"The customer, vendor, employee, or person on QuickBooks's \"Other Names\" list associated with this transaction.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Acme Corporation"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].entity.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].entity.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].entity.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].entity.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].entity.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].entity.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].entity.oneOf.0","typeLabel":"object"},{"type":"null","description":"The customer, vendor, employee, or person on QuickBooks's \"Other Names\" list associated with this transaction.","example":{"id":"80000001-1234567890","fullName":"Acme Corporation"},"isRequired":true,"uniqueKey":"data.items.[INDEX].entity.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].entity","typeLabel":"object | null"},"account":{"oneOf":[{"type":"object","description":"The account associated with this transaction.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Checking"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].account.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].account.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].account.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].account.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].account.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].account.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].account.oneOf.0","typeLabel":"object"},{"type":"null","description":"The account associated with this transaction.","example":{"id":"80000001-1234567890","fullName":"Checking"},"isRequired":true,"uniqueKey":"data.items.[INDEX].account.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].account","typeLabel":"object | null"},"transactionDate":{"type":"string","format":"date","description":"The date of this transaction, in ISO 8601 format (YYYY-MM-DD).","example":"2024-10-01","isRequired":true,"uniqueKey":"data.items.[INDEX].transactionDate","typeLabel":"string\u003cdate>"},"refNumber":{"oneOf":[{"type":"string","description":"The case-sensitive user-defined reference number for this transaction, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"INV-1234","isRequired":true,"uniqueKey":"data.items.[INDEX].refNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"The case-sensitive user-defined reference number for this transaction, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"INV-1234","isRequired":true,"uniqueKey":"data.items.[INDEX].refNumber.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].refNumber","typeLabel":"string | null"},"amount":{"type":"string","description":"The monetary amount of this transaction, represented as a decimal string.","example":"1000.00","isRequired":true,"uniqueKey":"data.items.[INDEX].amount","typeLabel":"string"},"currency":{"oneOf":[{"type":"object","description":"The transaction's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"USD"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].currency.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].currency.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].currency.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].currency.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].currency.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].currency.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].currency.oneOf.0","typeLabel":"object"},{"type":"null","description":"The transaction's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.","example":{"id":"80000001-1234567890","fullName":"USD"},"isRequired":true,"uniqueKey":"data.items.[INDEX].currency.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].currency","typeLabel":"object | null"},"exchangeRate":{"oneOf":[{"type":"number","description":"The market exchange rate between this transaction's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).","example":1.2345,"isRequired":true,"uniqueKey":"data.items.[INDEX].exchangeRate.oneOf.0","typeLabel":"number"},{"type":"null","description":"The market exchange rate between this transaction's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).","example":1.2345,"isRequired":true,"uniqueKey":"data.items.[INDEX].exchangeRate.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].exchangeRate","typeLabel":"number | null"},"amountInHomeCurrency":{"oneOf":[{"type":"string","description":"The monetary amount of this transaction converted to the home currency of the QuickBooks company file. Represented as a decimal string.","example":"1234.56","isRequired":true,"uniqueKey":"data.items.[INDEX].amountInHomeCurrency.oneOf.0","typeLabel":"string"},{"type":"null","description":"The monetary amount of this transaction converted to the home currency of the QuickBooks company file. Represented as a decimal string.","example":"1234.56","isRequired":true,"uniqueKey":"data.items.[INDEX].amountInHomeCurrency.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].amountInHomeCurrency","typeLabel":"string | null"},"memo":{"oneOf":[{"type":"string","description":"A memo or note for this transaction.","example":"Customer requested rush delivery","isRequired":true,"uniqueKey":"data.items.[INDEX].memo.oneOf.0","typeLabel":"string"},{"type":"null","description":"A memo or note for this transaction.","example":"Customer requested rush delivery","isRequired":true,"uniqueKey":"data.items.[INDEX].memo.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].memo","typeLabel":"string | null"}},"required":["transactionType","transactionId","transactionLineId","createdAt","updatedAt","entity","account","transactionDate","refNumber","amount","currency","exchangeRate","amountInHomeCurrency","memo"],"additionalProperties":false,"title":"The Transaction object","x-conductor-object-type":"transaction","x-conductor-sidebar-group-name":"All Transactions","summary":"A transaction in QuickBooks Desktop represents a financial event such as an invoice, bill, payment, or deposit that affects accounts and is recorded in the company's financial records. This object is returned by endpoints that search across all transaction types, and therefore only has fields common to all transaction types, such as ID, type, dates, account, and reference numbers.","uniqueKey":"data.items.[INDEX]","typeLabel":"The Transaction object · object"},"description":"The array of transactions.","isRequired":true,"uniqueKey":"data","typeLabel":"The Transaction object · object[]"},"nextCursor":{"oneOf":[{"type":"string","description":"The `nextCursor` is a pagination token returned in the response when you use the `limit` parameter in your request. To retrieve subsequent pages of results, include this token as the value of the `cursor` request parameter in your following API calls.\n\n**NOTE**: The `nextCursor` value remains constant throughout the pagination process for a specific list instance; continue to use the same `nextCursor` token in each request to fetch additional pages.","example":"12345678-abcd-abcd-example-1234567890ab","isRequired":true,"uniqueKey":"nextCursor.oneOf.0","typeLabel":"string"},{"type":"null","description":"The `nextCursor` is a pagination token returned in the response when you use the `limit` parameter in your request. To retrieve subsequent pages of results, include this token as the value of the `cursor` request parameter in your following API calls.\n\n**NOTE**: The `nextCursor` value remains constant throughout the pagination process for a specific list instance; continue to use the same `nextCursor` token in each request to fetch additional pages.","example":"12345678-abcd-abcd-example-1234567890ab","isRequired":true,"uniqueKey":"nextCursor.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"nextCursor","typeLabel":"string | null"},"remainingCount":{"oneOf":[{"type":"number","description":"The number of objects remaining to be fetched.","example":10,"isRequired":true,"uniqueKey":"remainingCount.oneOf.0","typeLabel":"number"},{"type":"null","description":"The number of objects remaining to be fetched.","example":10,"isRequired":true,"uniqueKey":"remainingCount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"remainingCount","typeLabel":"number | null"},"hasMore":{"type":"boolean","description":"Indicates whether there are more objects to be fetched.","isRequired":true,"uniqueKey":"hasMore","typeLabel":"boolean"}},"required":["objectType","url","data","nextCursor","remainingCount","hasMore"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"objectType":"list","url":"/v1/quickbooks-desktop/transactions","data":[{"transactionType":"invoice","transactionId":"123ABC-1234567890","transactionLineId":"456DEF-1234567890","createdAt":"2025-01-01T12:34:56.000Z","updatedAt":"2025-02-01T12:34:56.000Z","entity":{"id":"80000001-1234567890","fullName":"Acme Corporation"},"account":{"id":"80000001-1234567890","fullName":"Checking"},"transactionDate":"2024-10-01","refNumber":"INV-1234","amount":"1000.00","currency":{"id":"80000001-1234567890","fullName":"USD"},"exchangeRate":1.2345,"amountInHomeCurrency":"1234.56","memo":"Customer requested rush delivery"}],"nextCursor":"12345678-abcd-abcd-example-1234567890ab","remainingCount":10,"hasMore":true}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"d55c8c47-b5c3-4da4-9683-f1d1333cabda":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"bf6ac202-d364-495a-a90b-ff07a25d150a":{"url":"https://api.conductor.is/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"openapi.documented.yml"},"subdomain":"conductor","siteName":"Conductor Docs","title":"List all transactions - Conductor Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-05-01T21:04:00.376Z","originalFileLocation":"api-ref/qbd/transactions/list.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Searches across all transaction types. Unlike transaction-specific queries, this endpoint only returns fields common to all transaction types, such as ID, type, dates, account, and reference numbers. For more details specific to that transaction type, make a subsequent call to the relevant transaction-specific endpoint (such as invoices, bills, etc.). NOTE: This endpoint does not support time tracking activities. Use the cursor parameter to paginate through the results.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Conductor Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List all transactions - Conductor Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Searches across all transaction types. Unlike transaction-specific queries, this endpoint only returns fields common to all transaction types, such as ID, type, dates, account, and reference numbers. For more details specific to that transaction type, make a subsequent call to the relevant transaction-specific endpoint (such as invoices, bills, etc.). NOTE: This endpoint does not support time tracking activities. Use the cursor parameter to paginate through the results.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Conductor Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.conductor.is/api-ref/qbd/transactions/list\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://conductor.mintlify.site/_mintlify/api/og/v2?division=All+Transactions\u0026amp;title=List+all+transactions\u0026amp;description=Searches+across+all+transaction+types.+Unlike+transaction-specific+queries%2C+this+endpoint+only+returns+fields+common+to+all+transaction+types%2C+such+as+ID%2C+type%2C\u0026amp;theme=42320a3ef0ac6e9c3e1cc593\u0026amp;signature=ec676bcdc63a798d486f4b86e43a6ee063abeca703c158bb81996582a6baa089\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List all transactions - Conductor Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Searches across all transaction types. Unlike transaction-specific queries, this endpoint only returns fields common to all transaction types, such as ID, type, dates, account, and reference numbers. For more details specific to that transaction type, make a subsequent call to the relevant transaction-specific endpoint (such as invoices, bills, etc.). NOTE: This endpoint does not support time tracking activities. Use the cursor parameter to paginate through the results.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://conductor.mintlify.site/_mintlify/api/og/v2?division=All+Transactions\u0026amp;title=List+all+transactions\u0026amp;description=Searches+across+all+transaction+types.+Unlike+transaction-specific+queries%2C+this+endpoint+only+returns+fields+common+to+all+transaction+types%2C+such+as+ID%2C+type%2C\u0026amp;theme=42320a3ef0ac6e9c3e1cc593\u0026amp;signature=ec676bcdc63a798d486f4b86e43a6ee063abeca703c158bb81996582a6baa089\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Conductor Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#9563FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.conductor.is/api-ref/qbd/transactions/list\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-ref/qbd/transactions/list.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.conductor.is/#organization\",\"name\":\"Conductor Docs\",\"url\":\"https://docs.conductor.is\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/light.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=43ebf17eb46ef6256a508d4fac23b3bf\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.conductor.is#website\",\"name\":\"Conductor Docs\",\"url\":\"https://docs.conductor.is\",\"publisher\":{\"@id\":\"https://docs.conductor.is/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.conductor.is/api-ref/qbd/transactions/list#webpage\",\"url\":\"https://docs.conductor.is/api-ref/qbd/transactions/list\",\"name\":\"List all transactions\",\"description\":\"Searches across all transaction types. Unlike transaction-specific queries, this endpoint only returns fields common to all transaction types, such as ID, type, dates, account, and reference numbers. For more details specific to that transaction type, make a subsequent call to the relevant transaction-specific endpoint (such as invoices, bills, etc.). NOTE: This endpoint does not support time tracking activities. Use the cursor parameter to paginate through the results.\",\"dateModified\":\"2026-05-01T21:04:00.376Z\",\"isPartOf\":{\"@id\":\"https://docs.conductor.is#website\"},\"breadcrumb\":{\"@id\":\"https://docs.conductor.is/api-ref/qbd/transactions/list#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.conductor.is/api-ref/qbd/transactions/list#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Transactions\",\"item\":\"https://docs.conductor.is/api-ref/qbd/transactions/object\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"All Transactions\",\"item\":\"https://docs.conductor.is/api-ref/qbd/transactions/object\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"List all transactions\",\"item\":\"https://docs.conductor.is/api-ref/qbd/transactions/list\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.conductor.is/api-ref/qbd/transactions/list#apireference\",\"headline\":\"List all transactions\",\"name\":\"List all transactions\",\"description\":\"Searches across all transaction types. Unlike transaction-specific queries, this endpoint only returns fields common to all transaction types, such as ID, type, dates, account, and reference numbers. For more details specific to that transaction type, make a subsequent call to the relevant transaction-specific endpoint (such as invoices, bills, etc.). NOTE: This endpoint does not support time tracking activities. Use the cursor parameter to paginate through the results.\",\"url\":\"https://docs.conductor.is/api-ref/qbd/transactions/list\",\"mainEntityOfPage\":{\"@id\":\"https://docs.conductor.is/api-ref/qbd/transactions/list#webpage\"},\"dateModified\":\"2026-05-01T21:04:00.376Z\",\"publisher\":{\"@id\":\"https://docs.conductor.is/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.conductor.is#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Conductor Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Conductor Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-ref/qbd/transactions/list.md","siteName":"Conductor Docs","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/quickstart"}]},{"tab":"API Reference","groups":[{"group":"QuickBooks Desktop API","pages":[{"title":"Welcome to Conductor's QuickBooks Desktop API","href":"/api-ref/welcome"},{"title":"SDKs","icon":"code","href":"/api-ref/sdks"},{"title":"Upgrading to Conductor's new Node.js SDK","icon":"up","href":"/api-ref/upgrade-node"},{"title":"Authentication","icon":"lock","href":"/api-ref/authentication"},{"title":"Pagination","icon":"files","href":"/api-ref/pagination"},{"title":"Request IDs","icon":"hashtag","href":"/api-ref/request-ids"},{"title":"Timeouts","icon":"clock","href":"/api-ref/timeouts"},{"title":"The Error object","icon":"triangle-exclamation","href":"/api-ref/errors"},{"title":"OpenAPI","icon":"file-code","href":"/api-ref/openapi"},{"title":"MCP","icon":"robot","href":"/api-ref/mcp"}]},{"group":"Core Resources","pages":[{"group":"Auth Sessions","pages":[{"title":"The Auth Session object","href":"/api-ref/auth-sessions/object"},{"openapi":"POST /auth-sessions","title":"Create an auth session","href":"/api-ref/auth-sessions/create"}]},{"group":"End Users","pages":[{"title":"The End-User object","href":"/api-ref/end-users/object"},{"openapi":"POST /end-users","title":"Create an end-user","href":"/api-ref/end-users/create"},{"openapi":"GET /end-users/{id}","title":"Retrieve an end-user","href":"/api-ref/end-users/retrieve"},{"openapi":"GET /end-users","title":"List all end-users","href":"/api-ref/end-users/list"},{"openapi":"DELETE /end-users/{id}","title":"Delete an end-user","href":"/api-ref/end-users/delete"}]}]},{"group":"Utilities","pages":[{"openapi":"GET /quickbooks-desktop/health-check","title":"Health check","href":"/api-ref/qbd/utilities/health-check"},{"openapi":"POST /end-users/{id}/passthrough/{integrationSlug}","title":"Passthrough","href":"/api-ref/qbd/utilities/passthrough"}]},{"group":"Transactions","pages":[{"group":"All Transactions","pages":[{"title":"The Transaction object","href":"/api-ref/qbd/transactions/object"},{"openapi":"GET /quickbooks-desktop/transactions/{id}","title":"Retrieve a transaction","description":"Retrieves a transaction by ID.\n\n**IMPORTANT:** If you need to fetch multiple specific transactions by ID, use the list endpoint instead with the `ids` parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.","href":"/api-ref/qbd/transactions/retrieve"},{"openapi":"GET /quickbooks-desktop/transactions","title":"List all transactions","href":"/api-ref/qbd/transactions/list"}]},{"group":"Bill Check Payments","pages":[{"title":"The Bill Check Payment object","description":"A bill check payment records a payment made by check to pay off one or more vendor bills. It reduces accounts payable and decreases the bank account balance. This transaction links the original bill(s) with the payment, allowing QuickBooks to track which bills have been paid and maintain accurate vendor balances.","href":"/api-ref/qbd/bill-check-payments/object"},{"openapi":"POST /quickbooks-desktop/bill-check-payments","title":"Create a bill check payment","href":"/api-ref/qbd/bill-check-payments/create"},{"openapi":"POST /quickbooks-desktop/bill-check-payments/{id}","title":"Update a bill check payment","href":"/api-ref/qbd/bill-check-payments/update"},{"openapi":"GET /quickbooks-desktop/bill-check-payments/{id}","title":"Retrieve a bill check payment","href":"/api-ref/qbd/bill-check-payments/retrieve"},{"openapi":"GET /quickbooks-desktop/bill-check-payments","title":"List all bill check payments","href":"/api-ref/qbd/bill-check-payments/list"},{"openapi":"POST /quickbooks-desktop/bill-check-payments/{id}/void","title":"Void a bill check payment","href":"/api-ref/qbd/bill-check-payments/void"},{"openapi":"DELETE /quickbooks-desktop/bill-check-payments/{id}","title":"Delete a bill check payment","href":"/api-ref/qbd/bill-check-payments/delete"}]},{"group":"Bill Credit Card Payments","pages":[{"title":"The Bill Credit Card Payment object","href":"/api-ref/qbd/bill-credit-card-payments/object"},{"openapi":"POST /quickbooks-desktop/bill-credit-card-payments","title":"Create a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/create"},{"openapi":"GET /quickbooks-desktop/bill-credit-card-payments/{id}","title":"Retrieve a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/retrieve"},{"openapi":"GET /quickbooks-desktop/bill-credit-card-payments","title":"List all bill credit card payments","href":"/api-ref/qbd/bill-credit-card-payments/list"},{"openapi":"POST /quickbooks-desktop/bill-credit-card-payments/{id}/void","title":"Void a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/void"},{"openapi":"DELETE /quickbooks-desktop/bill-credit-card-payments/{id}","title":"Delete a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/delete"}]},{"group":"Bills","pages":[{"title":"The Bill object","href":"/api-ref/qbd/bills/object"},{"openapi":"POST /quickbooks-desktop/bills","title":"Create a bill","href":"/api-ref/qbd/bills/create"},{"openapi":"POST /quickbooks-desktop/bills/{id}","title":"Update a bill","href":"/api-ref/qbd/bills/update"},{"openapi":"GET /quickbooks-desktop/bills/{id}","title":"Retrieve a bill","href":"/api-ref/qbd/bills/retrieve"},{"openapi":"GET /quickbooks-desktop/bills","title":"List all bills","href":"/api-ref/qbd/bills/list"},{"openapi":"POST /quickbooks-desktop/bills/{id}/void","title":"Void a bill","href":"/api-ref/qbd/bills/void"},{"openapi":"DELETE /quickbooks-desktop/bills/{id}","title":"Delete a bill","href":"/api-ref/qbd/bills/delete"}]},{"group":"Bills to Pay","pages":[{"title":"The Bill To Pay object","href":"/api-ref/qbd/bills-to-pay/object"},{"openapi":"GET /quickbooks-desktop/bills-to-pay","title":"List bills and credits available to pay for a vendor","href":"/api-ref/qbd/bills-to-pay/list"}]},{"group":"Build Assemblies","pages":[{"title":"The Build Assembly object","href":"/api-ref/qbd/build-assemblies/object"},{"openapi":"POST /quickbooks-desktop/build-assemblies","title":"Create a build assembly","href":"/api-ref/qbd/build-assemblies/create"},{"openapi":"POST /quickbooks-desktop/build-assemblies/{id}","title":"Update a build assembly","href":"/api-ref/qbd/build-assemblies/update"},{"openapi":"GET /quickbooks-desktop/build-assemblies/{id}","title":"Retrieve a build assembly","href":"/api-ref/qbd/build-assemblies/retrieve"},{"openapi":"GET /quickbooks-desktop/build-assemblies","title":"List all build assemblies","href":"/api-ref/qbd/build-assemblies/list"},{"openapi":"DELETE /quickbooks-desktop/build-assemblies/{id}","title":"Delete a build assembly","href":"/api-ref/qbd/build-assemblies/delete"}]},{"group":"Checks","pages":[{"title":"The Check object","href":"/api-ref/qbd/checks/object"},{"openapi":"POST /quickbooks-desktop/checks","title":"Create a check","href":"/api-ref/qbd/checks/create"},{"openapi":"POST /quickbooks-desktop/checks/{id}","title":"Update a check","href":"/api-ref/qbd/checks/update"},{"openapi":"GET /quickbooks-desktop/checks/{id}","title":"Retrieve a check","href":"/api-ref/qbd/checks/retrieve"},{"openapi":"GET /quickbooks-desktop/checks","title":"List all checks","href":"/api-ref/qbd/checks/list"},{"openapi":"POST /quickbooks-desktop/checks/{id}/void","title":"Void a check","href":"/api-ref/qbd/checks/void"},{"openapi":"DELETE /quickbooks-desktop/checks/{id}","title":"Delete a check","href":"/api-ref/qbd/checks/delete"}]},{"group":"Credit Card Charges","pages":[{"title":"The Credit Card Charge object","href":"/api-ref/qbd/credit-card-charges/object"},{"openapi":"POST /quickbooks-desktop/credit-card-charges","title":"Create a credit card charge","href":"/api-ref/qbd/credit-card-charges/create"},{"openapi":"POST /quickbooks-desktop/credit-card-charges/{id}","title":"Update a credit card charge","href":"/api-ref/qbd/credit-card-charges/update"},{"openapi":"GET /quickbooks-desktop/credit-card-charges/{id}","title":"Retrieve a credit card charge","href":"/api-ref/qbd/credit-card-charges/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-card-charges","title":"List all credit card charges","href":"/api-ref/qbd/credit-card-charges/list"},{"openapi":"POST /quickbooks-desktop/credit-card-charges/{id}/void","title":"Void a credit card charge","href":"/api-ref/qbd/credit-card-charges/void"},{"openapi":"DELETE /quickbooks-desktop/credit-card-charges/{id}","title":"Delete a credit card charge","href":"/api-ref/qbd/credit-card-charges/delete"}]},{"group":"Credit Card Credits","pages":[{"title":"The Credit Card Credit object","href":"/api-ref/qbd/credit-card-credits/object"},{"openapi":"POST /quickbooks-desktop/credit-card-credits","title":"Create a credit card credit","href":"/api-ref/qbd/credit-card-credits/create"},{"openapi":"POST /quickbooks-desktop/credit-card-credits/{id}","title":"Update a credit card credit","href":"/api-ref/qbd/credit-card-credits/update"},{"openapi":"GET /quickbooks-desktop/credit-card-credits/{id}","title":"Retrieve a credit card credit","href":"/api-ref/qbd/credit-card-credits/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-card-credits","title":"List all credit card credits","href":"/api-ref/qbd/credit-card-credits/list"},{"openapi":"POST /quickbooks-desktop/credit-card-credits/{id}/void","title":"Void a credit card credit","href":"/api-ref/qbd/credit-card-credits/void"},{"openapi":"DELETE /quickbooks-desktop/credit-card-credits/{id}","title":"Delete a credit card credit","href":"/api-ref/qbd/credit-card-credits/delete"}]},{"group":"Credit Card Refunds","pages":[{"title":"The Credit Card Refund object","href":"/api-ref/qbd/credit-card-refunds/object"},{"openapi":"POST /quickbooks-desktop/credit-card-refunds","title":"Create a credit card refund","href":"/api-ref/qbd/credit-card-refunds/create"},{"openapi":"GET /quickbooks-desktop/credit-card-refunds/{id}","title":"Retrieve a credit card refund","href":"/api-ref/qbd/credit-card-refunds/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-card-refunds","title":"List all credit card refunds","href":"/api-ref/qbd/credit-card-refunds/list"},{"openapi":"POST /quickbooks-desktop/credit-card-refunds/{id}/void","title":"Void a credit card refund","href":"/api-ref/qbd/credit-card-refunds/void"},{"openapi":"DELETE /quickbooks-desktop/credit-card-refunds/{id}","title":"Delete a credit card refund","href":"/api-ref/qbd/credit-card-refunds/delete"}]},{"group":"Credit Memos","pages":[{"title":"The Credit Memo object","href":"/api-ref/qbd/credit-memos/object"},{"openapi":"POST /quickbooks-desktop/credit-memos","title":"Create a credit memo","href":"/api-ref/qbd/credit-memos/create"},{"openapi":"POST /quickbooks-desktop/credit-memos/{id}","title":"Update a credit memo","href":"/api-ref/qbd/credit-memos/update"},{"openapi":"GET /quickbooks-desktop/credit-memos/{id}","title":"Retrieve a credit memo","href":"/api-ref/qbd/credit-memos/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-memos","title":"List all credit memos","href":"/api-ref/qbd/credit-memos/list"},{"openapi":"POST /quickbooks-desktop/credit-memos/{id}/void","title":"Void a credit memo","href":"/api-ref/qbd/credit-memos/void"},{"openapi":"DELETE /quickbooks-desktop/credit-memos/{id}","title":"Delete a credit memo","href":"/api-ref/qbd/credit-memos/delete"}]},{"group":"Deleted Transactions","pages":[{"title":"The Deleted Transaction object","href":"/api-ref/qbd/deleted-transactions/object"},{"openapi":"GET /quickbooks-desktop/deleted-transactions","title":"List all deleted transactions","href":"/api-ref/qbd/deleted-transactions/list"}]},{"group":"Deposits","pages":[{"title":"The Deposit object","href":"/api-ref/qbd/deposits/object"},{"openapi":"POST /quickbooks-desktop/deposits","title":"Create a deposit","href":"/api-ref/qbd/deposits/create"},{"openapi":"POST /quickbooks-desktop/deposits/{id}","title":"Update a deposit","href":"/api-ref/qbd/deposits/update"},{"openapi":"GET /quickbooks-desktop/deposits/{id}","title":"Retrieve a deposit","href":"/api-ref/qbd/deposits/retrieve"},{"openapi":"GET /quickbooks-desktop/deposits","title":"List all deposits","href":"/api-ref/qbd/deposits/list"},{"openapi":"POST /quickbooks-desktop/deposits/{id}/void","title":"Void a deposit","href":"/api-ref/qbd/deposits/void"},{"openapi":"DELETE /quickbooks-desktop/deposits/{id}","title":"Delete a deposit","href":"/api-ref/qbd/deposits/delete"}]},{"group":"Estimates","pages":[{"title":"The Estimate object","href":"/api-ref/qbd/estimates/object"},{"openapi":"POST /quickbooks-desktop/estimates","title":"Create an estimate","href":"/api-ref/qbd/estimates/create"},{"openapi":"POST /quickbooks-desktop/estimates/{id}","title":"Update an estimate","href":"/api-ref/qbd/estimates/update"},{"openapi":"GET /quickbooks-desktop/estimates/{id}","title":"Retrieve an estimate","href":"/api-ref/qbd/estimates/retrieve"},{"openapi":"GET /quickbooks-desktop/estimates","title":"List all estimates","href":"/api-ref/qbd/estimates/list"},{"openapi":"DELETE /quickbooks-desktop/estimates/{id}","title":"Delete an estimate","href":"/api-ref/qbd/estimates/delete"}]},{"group":"Inventory Adjustments","pages":[{"title":"The Inventory Adjustment object","href":"/api-ref/qbd/inventory-adjustments/object"},{"openapi":"POST /quickbooks-desktop/inventory-adjustments","title":"Create an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/create"},{"openapi":"POST /quickbooks-desktop/inventory-adjustments/{id}","title":"Update an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/update"},{"openapi":"GET /quickbooks-desktop/inventory-adjustments/{id}","title":"Retrieve an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/retrieve"},{"openapi":"GET /quickbooks-desktop/inventory-adjustments","title":"List all inventory adjustments","href":"/api-ref/qbd/inventory-adjustments/list"},{"openapi":"POST /quickbooks-desktop/inventory-adjustments/{id}/void","title":"Void an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/void"},{"openapi":"DELETE /quickbooks-desktop/inventory-adjustments/{id}","title":"Delete an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/delete"}]},{"group":"Invoices","pages":[{"title":"The Invoice object","href":"/api-ref/qbd/invoices/object"},{"openapi":"POST /quickbooks-desktop/invoices","title":"Create an invoice","href":"/api-ref/qbd/invoices/create"},{"openapi":"POST /quickbooks-desktop/invoices/{id}","title":"Update an invoice","href":"/api-ref/qbd/invoices/update"},{"openapi":"GET /quickbooks-desktop/invoices/{id}","title":"Retrieve an invoice","href":"/api-ref/qbd/invoices/retrieve"},{"openapi":"GET /quickbooks-desktop/invoices","title":"List all invoices","href":"/api-ref/qbd/invoices/list"},{"openapi":"POST /quickbooks-desktop/invoices/{id}/void","title":"Void an invoice","href":"/api-ref/qbd/invoices/void"},{"openapi":"DELETE /quickbooks-desktop/invoices/{id}","title":"Delete an invoice","href":"/api-ref/qbd/invoices/delete"}]},{"group":"Item Receipts","pages":[{"title":"The Item Receipt object","href":"/api-ref/qbd/item-receipts/object"},{"openapi":"POST /quickbooks-desktop/item-receipts","title":"Create an item receipt","href":"/api-ref/qbd/item-receipts/create"},{"openapi":"POST /quickbooks-desktop/item-receipts/{id}","title":"Update an item receipt","href":"/api-ref/qbd/item-receipts/update"},{"openapi":"GET /quickbooks-desktop/item-receipts/{id}","title":"Retrieve an item receipt","href":"/api-ref/qbd/item-receipts/retrieve"},{"openapi":"GET /quickbooks-desktop/item-receipts","title":"List all item receipts","href":"/api-ref/qbd/item-receipts/list"},{"openapi":"POST /quickbooks-desktop/item-receipts/{id}/void","title":"Void an item receipt","href":"/api-ref/qbd/item-receipts/void"},{"openapi":"DELETE /quickbooks-desktop/item-receipts/{id}","title":"Delete an item receipt","href":"/api-ref/qbd/item-receipts/delete"}]},{"group":"Journal Entries","pages":[{"title":"The Journal Entry object","href":"/api-ref/qbd/journal-entries/object"},{"openapi":"POST /quickbooks-desktop/journal-entries","title":"Create a journal entry","href":"/api-ref/qbd/journal-entries/create"},{"openapi":"POST /quickbooks-desktop/journal-entries/{id}","title":"Update a journal entry","href":"/api-ref/qbd/journal-entries/update"},{"openapi":"GET /quickbooks-desktop/journal-entries/{id}","title":"Retrieve a journal entry","href":"/api-ref/qbd/journal-entries/retrieve"},{"openapi":"GET /quickbooks-desktop/journal-entries","title":"List all journal entries","href":"/api-ref/qbd/journal-entries/list"},{"openapi":"POST /quickbooks-desktop/journal-entries/{id}/void","title":"Void a journal entry","href":"/api-ref/qbd/journal-entries/void"},{"openapi":"DELETE /quickbooks-desktop/journal-entries/{id}","title":"Delete a journal entry","href":"/api-ref/qbd/journal-entries/delete"}]},{"group":"Payments to Deposit","pages":[{"title":"The Payment To Deposit object","href":"/api-ref/qbd/payments-to-deposit/object"},{"openapi":"GET /quickbooks-desktop/payments-to-deposit","title":"List all payments to deposit","href":"/api-ref/qbd/payments-to-deposit/list"}]},{"group":"Purchase Orders","pages":[{"title":"The Purchase Order object","href":"/api-ref/qbd/purchase-orders/object"},{"openapi":"POST /quickbooks-desktop/purchase-orders","title":"Create a purchase order","href":"/api-ref/qbd/purchase-orders/create"},{"openapi":"POST /quickbooks-desktop/purchase-orders/{id}","title":"Update a purchase order","href":"/api-ref/qbd/purchase-orders/update"},{"openapi":"GET /quickbooks-desktop/purchase-orders/{id}","title":"Retrieve a purchase order","href":"/api-ref/qbd/purchase-orders/retrieve"},{"openapi":"GET /quickbooks-desktop/purchase-orders","title":"List all purchase orders","href":"/api-ref/qbd/purchase-orders/list"},{"openapi":"DELETE /quickbooks-desktop/purchase-orders/{id}","title":"Delete a purchase order","href":"/api-ref/qbd/purchase-orders/delete"}]},{"group":"Receive-Payments","pages":[{"title":"The Receive-Payment object","href":"/api-ref/qbd/receive-payments/object"},{"openapi":"POST /quickbooks-desktop/receive-payments","title":"Create a receive-payment","href":"/api-ref/qbd/receive-payments/create"},{"openapi":"POST /quickbooks-desktop/receive-payments/{id}","title":"Update a receive-payment","href":"/api-ref/qbd/receive-payments/update"},{"openapi":"GET /quickbooks-desktop/receive-payments/{id}","title":"Retrieve a receive-payment","href":"/api-ref/qbd/receive-payments/retrieve"},{"openapi":"GET /quickbooks-desktop/receive-payments","title":"List all receive-payments","href":"/api-ref/qbd/receive-payments/list"},{"openapi":"DELETE /quickbooks-desktop/receive-payments/{id}","title":"Delete a receive-payment","href":"/api-ref/qbd/receive-payments/delete"}]},{"group":"Sales Orders","pages":[{"title":"The Sales Order object","href":"/api-ref/qbd/sales-orders/object"},{"openapi":"POST /quickbooks-desktop/sales-orders","title":"Create a sales order","href":"/api-ref/qbd/sales-orders/create"},{"openapi":"POST /quickbooks-desktop/sales-orders/{id}","title":"Update a sales order","href":"/api-ref/qbd/sales-orders/update"},{"openapi":"GET /quickbooks-desktop/sales-orders/{id}","title":"Retrieve a sales order","href":"/api-ref/qbd/sales-orders/retrieve"},{"openapi":"GET /quickbooks-desktop/sales-orders","title":"List all sales orders","href":"/api-ref/qbd/sales-orders/list"},{"openapi":"DELETE /quickbooks-desktop/sales-orders/{id}","title":"Delete a sales order","href":"/api-ref/qbd/sales-orders/delete"}]},{"group":"Sales Receipts","pages":[{"title":"The Sales Receipt object","href":"/api-ref/qbd/sales-receipts/object"},{"openapi":"POST /quickbooks-desktop/sales-receipts","title":"Create a sales receipt","href":"/api-ref/qbd/sales-receipts/create"},{"openapi":"POST /quickbooks-desktop/sales-receipts/{id}","title":"Update a sales receipt","href":"/api-ref/qbd/sales-receipts/update"},{"openapi":"GET /quickbooks-desktop/sales-receipts/{id}","title":"Retrieve a sales receipt","href":"/api-ref/qbd/sales-receipts/retrieve"},{"openapi":"GET /quickbooks-desktop/sales-receipts","title":"List all sales receipts","href":"/api-ref/qbd/sales-receipts/list"},{"openapi":"POST /quickbooks-desktop/sales-receipts/{id}/void","title":"Void a sales receipt","href":"/api-ref/qbd/sales-receipts/void"},{"openapi":"DELETE /quickbooks-desktop/sales-receipts/{id}","title":"Delete a sales receipt","href":"/api-ref/qbd/sales-receipts/delete"}]},{"group":"Sales-Tax Payment Checks","pages":[{"title":"The Sales-Tax Payment Check object","href":"/api-ref/qbd/sales-tax-payment-checks/object"},{"openapi":"POST /quickbooks-desktop/sales-tax-payment-checks","title":"Create a sales-tax payment check","href":"/api-ref/qbd/sales-tax-payment-checks/create"},{"openapi":"POST /quickbooks-desktop/sales-tax-payment-checks/{id}","title":"Update a sales-tax payment check","href":"/api-ref/qbd/sales-tax-payment-checks/update"},{"openapi":"GET /quickbooks-desktop/sales-tax-payment-checks/{id}","title":"Retrieve a sales-tax payment check","href":"/api-ref/qbd/sales-tax-payment-checks/retrieve"},{"openapi":"GET /quickbooks-desktop/sales-tax-payment-checks","title":"List all sales-tax payment checks","href":"/api-ref/qbd/sales-tax-payment-checks/list"},{"openapi":"POST /quickbooks-desktop/sales-tax-payment-checks/{id}/void","title":"Void a sales-tax payment check","href":"/api-ref/qbd/sales-tax-payment-checks/void"},{"openapi":"DELETE /quickbooks-desktop/sales-tax-payment-checks/{id}","title":"Delete a sales-tax payment check","href":"/api-ref/qbd/sales-tax-payment-checks/delete"}]},{"group":"Time Tracking Activities","pages":[{"title":"The Time Tracking Activity object","href":"/api-ref/qbd/time-tracking-activities/object"},{"openapi":"POST /quickbooks-desktop/time-tracking-activities","title":"Create a time tracking activity","href":"/api-ref/qbd/time-tracking-activities/create"},{"openapi":"POST /quickbooks-desktop/time-tracking-activities/{id}","title":"Update a time tracking activity","href":"/api-ref/qbd/time-tracking-activities/update"},{"openapi":"GET /quickbooks-desktop/time-tracking-activities/{id}","title":"Retrieve a time tracking activity","href":"/api-ref/qbd/time-tracking-activities/retrieve"},{"openapi":"GET /quickbooks-desktop/time-tracking-activities","title":"List all time tracking activities","href":"/api-ref/qbd/time-tracking-activities/list"},{"openapi":"DELETE /quickbooks-desktop/time-tracking-activities/{id}","title":"Delete a time tracking activity","href":"/api-ref/qbd/time-tracking-activities/delete"}]},{"group":"Transfers","pages":[{"title":"The Transfer object","href":"/api-ref/qbd/transfers/object"},{"openapi":"POST /quickbooks-desktop/transfers","title":"Create a transfer","href":"/api-ref/qbd/transfers/create"},{"openapi":"POST /quickbooks-desktop/transfers/{id}","title":"Update a transfer","href":"/api-ref/qbd/transfers/update"},{"openapi":"GET /quickbooks-desktop/transfers/{id}","title":"Retrieve a transfer","href":"/api-ref/qbd/transfers/retrieve"},{"openapi":"GET /quickbooks-desktop/transfers","title":"List all transfers","href":"/api-ref/qbd/transfers/list"}]},{"group":"Vendor Credits","pages":[{"title":"The Vendor Credit object","href":"/api-ref/qbd/vendor-credits/object"},{"openapi":"POST /quickbooks-desktop/vendor-credits","title":"Create a vendor credit","href":"/api-ref/qbd/vendor-credits/create"},{"openapi":"POST /quickbooks-desktop/vendor-credits/{id}","title":"Update a vendor credit","href":"/api-ref/qbd/vendor-credits/update"},{"openapi":"GET /quickbooks-desktop/vendor-credits/{id}","title":"Retrieve a vendor credit","href":"/api-ref/qbd/vendor-credits/retrieve"},{"openapi":"GET /quickbooks-desktop/vendor-credits","title":"List all vendor credits","href":"/api-ref/qbd/vendor-credits/list"},{"openapi":"POST /quickbooks-desktop/vendor-credits/{id}/void","title":"Void a vendor credit","href":"/api-ref/qbd/vendor-credits/void"},{"openapi":"DELETE /quickbooks-desktop/vendor-credits/{id}","title":"Delete a vendor credit","href":"/api-ref/qbd/vendor-credits/delete"}]}]},{"group":"General","pages":[{"group":"Account Tax Lines","pages":[{"title":"The Account Tax Line object","href":"/api-ref/qbd/account-tax-lines/object"},{"openapi":"GET /quickbooks-desktop/account-tax-lines","title":"List all account tax lines","href":"/api-ref/qbd/account-tax-lines/list"}]},{"group":"Accounts","pages":[{"title":"The Account object","href":"/api-ref/qbd/accounts/object"},{"openapi":"POST /quickbooks-desktop/accounts","title":"Create an account","href":"/api-ref/qbd/accounts/create"},{"openapi":"POST /quickbooks-desktop/accounts/{id}","title":"Update an account","href":"/api-ref/qbd/accounts/update"},{"openapi":"GET /quickbooks-desktop/accounts/{id}","title":"Retrieve an account","href":"/api-ref/qbd/accounts/retrieve"},{"openapi":"GET /quickbooks-desktop/accounts","title":"List all accounts","href":"/api-ref/qbd/accounts/list"}]},{"group":"Classes","pages":[{"title":"The Class object","href":"/api-ref/qbd/classes/object"},{"openapi":"POST /quickbooks-desktop/classes","title":"Create a class","href":"/api-ref/qbd/classes/create"},{"openapi":"POST /quickbooks-desktop/classes/{id}","title":"Update a class","href":"/api-ref/qbd/classes/update"},{"openapi":"GET /quickbooks-desktop/classes/{id}","title":"Retrieve a class","href":"/api-ref/qbd/classes/retrieve"},{"openapi":"GET /quickbooks-desktop/classes","title":"List all classes","href":"/api-ref/qbd/classes/list"}]},{"group":"Company","pages":[{"title":"The Company object","href":"/api-ref/qbd/company/object"},{"openapi":"GET /quickbooks-desktop/company","title":"Retrieve company file info","href":"/api-ref/qbd/company/retrieve"}]},{"group":"Currencies","pages":[{"title":"The Currency object","href":"/api-ref/qbd/currencies/object"},{"openapi":"POST /quickbooks-desktop/currencies","title":"Create a currency","href":"/api-ref/qbd/currencies/create"},{"openapi":"POST /quickbooks-desktop/currencies/{id}","title":"Update a currency","href":"/api-ref/qbd/currencies/update"},{"openapi":"GET /quickbooks-desktop/currencies/{id}","title":"Retrieve a currency","href":"/api-ref/qbd/currencies/retrieve"},{"openapi":"GET /quickbooks-desktop/currencies","title":"List all currencies","href":"/api-ref/qbd/currencies/list"}]},{"group":"Customer Types","pages":[{"title":"The Customer Type object","href":"/api-ref/qbd/customer-types/object"},{"openapi":"POST /quickbooks-desktop/customer-types","title":"Create a customer type","href":"/api-ref/qbd/customer-types/create"},{"openapi":"GET /quickbooks-desktop/customer-types/{id}","title":"Retrieve a customer type","href":"/api-ref/qbd/customer-types/retrieve"},{"openapi":"GET /quickbooks-desktop/customer-types","title":"List all customer types","href":"/api-ref/qbd/customer-types/list"}]},{"group":"Customers / Jobs","pages":[{"title":"The Customer object","href":"/api-ref/qbd/customers/object"},{"openapi":"POST /quickbooks-desktop/customers","title":"Create a customer","href":"/api-ref/qbd/customers/create"},{"openapi":"POST /quickbooks-desktop/customers/{id}","title":"Update a customer","href":"/api-ref/qbd/customers/update"},{"openapi":"GET /quickbooks-desktop/customers/{id}","title":"Retrieve a customer","href":"/api-ref/qbd/customers/retrieve"},{"openapi":"GET /quickbooks-desktop/customers","title":"List all customers","href":"/api-ref/qbd/customers/list"}]},{"group":"Date-Driven Terms","pages":[{"title":"The Date-Driven Term object","href":"/api-ref/qbd/date-driven-terms/object"},{"openapi":"POST /quickbooks-desktop/date-driven-terms","title":"Create a date-driven term","href":"/api-ref/qbd/date-driven-terms/create"},{"openapi":"GET /quickbooks-desktop/date-driven-terms/{id}","title":"Retrieve a date-driven term","href":"/api-ref/qbd/date-driven-terms/retrieve"},{"openapi":"GET /quickbooks-desktop/date-driven-terms","title":"List all date-driven terms","href":"/api-ref/qbd/date-driven-terms/list"}]},{"group":"Deleted List-Objects","pages":[{"title":"The Deleted List-Object object","href":"/api-ref/qbd/deleted-list-objects/object"},{"openapi":"GET /quickbooks-desktop/deleted-list-objects","title":"List all deleted li
[...]
